import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class GostBlockungRegel extends JavaObject {
    id: number;
    typ: number;
    parameter: Vector<Number>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): GostBlockungRegel;
    static transpilerToJSON(obj: GostBlockungRegel): string;
    static transpilerToJSONPatch(obj: Partial<GostBlockungRegel>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_GostBlockungRegel(obj: unknown): GostBlockungRegel;
